diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/mobility-test-suite.cc ns-3.44/src/mobility/test/mobility-test-suite.cc
--- ns-3.43/src/mobility/test/mobility-test-suite.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/mobility-test-suite.cc	2025-03-09 16:55:49.659372000 -0700
@@ -23,9 +23,9 @@
 using namespace ns3;
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Test whether course change notifications occur regardless of calls
+ * @brief Test whether course change notifications occur regardless of calls
  * to Update() position (which are triggered by calls to GetPosition())
  */
 class WaypointLazyNotifyFalse : public TestCase
@@ -37,13 +37,13 @@
   private:
     /**
      * Test X position function
-     * \param expectedXPos the expected X position
+     * @param expectedXPos the expected X position
      */
     void TestXPosition(double expectedXPos);
     /**
      * Course change callback
-     * \param path the path
-     * \param model the mobility model
+     * @param path the path
+     * @param model the mobility model
      */
     void CourseChangeCallback(std::string path, Ptr<const MobilityModel> model);
     void DoRun() override;
@@ -87,22 +87,22 @@
     m_mob = CreateObject<WaypointMobilityModel>();
     // LazyNotify should by default be false
     m_node->AggregateObject(m_mob);
-    Waypoint wpt(Seconds(0.0), Vector(0.0, 0.0, 0.0));
+    Waypoint wpt(Seconds(0), Vector(0.0, 0.0, 0.0));
     m_mob->AddWaypoint(wpt);
-    Waypoint wpt2(Seconds(10.0), Vector(10.0, 10.0, 10.0));
+    Waypoint wpt2(Seconds(10), Vector(10.0, 10.0, 10.0));
     m_mob->AddWaypoint(wpt2);
-    Waypoint wpt3(Seconds(20.0), Vector(20.0, 20.0, 20.0));
+    Waypoint wpt3(Seconds(20), Vector(20.0, 20.0, 20.0));
     m_mob->AddWaypoint(wpt3);
 
-    Simulator::Schedule(Seconds(5.0), &WaypointLazyNotifyFalse::TestXPosition, this, 5);
+    Simulator::Schedule(Seconds(5), &WaypointLazyNotifyFalse::TestXPosition, this, 5);
     Simulator::Run();
     Simulator::Destroy();
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Waypoint Lazy Notify True
+ * @brief Waypoint Lazy Notify True
  */
 class WaypointLazyNotifyTrue : public TestCase
 {
@@ -113,13 +113,13 @@
   private:
     /**
      * Text X position function
-     * \param expectedXPos the expected X position
+     * @param expectedXPos the expected X position
      */
     void TestXPosition(double expectedXPos);
     /**
      * Course change callback
-     * \param path the path
-     * \param model the mobility model
+     * @param path the path
+     * @param model the mobility model
      */
     void CourseChangeCallback(std::string path, Ptr<const MobilityModel> model);
     void DoRun() override;
@@ -161,22 +161,22 @@
     m_mob = CreateObject<WaypointMobilityModel>();
     m_mob->SetAttributeFailSafe("LazyNotify", BooleanValue(true));
     m_node->AggregateObject(m_mob);
-    Waypoint wpt(Seconds(0.0), Vector(0.0, 0.0, 0.0));
+    Waypoint wpt(Seconds(0), Vector(0.0, 0.0, 0.0));
     m_mob->AddWaypoint(wpt);
-    Waypoint wpt2(Seconds(10.0), Vector(10.0, 10.0, 10.0));
+    Waypoint wpt2(Seconds(10), Vector(10.0, 10.0, 10.0));
     m_mob->AddWaypoint(wpt2);
-    Waypoint wpt3(Seconds(20.0), Vector(20.0, 20.0, 20.0));
+    Waypoint wpt3(Seconds(20), Vector(20.0, 20.0, 20.0));
     m_mob->AddWaypoint(wpt3);
 
-    Simulator::Schedule(Seconds(15.0), &WaypointLazyNotifyTrue::TestXPosition, this, 15);
+    Simulator::Schedule(Seconds(15), &WaypointLazyNotifyTrue::TestXPosition, this, 15);
     Simulator::Run();
     Simulator::Destroy();
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Waypoint Initial Position Is Waypoint Test
+ * @brief Waypoint Initial Position Is Waypoint Test
  */
 class WaypointInitialPositionIsWaypoint : public TestCase
 {
@@ -187,14 +187,14 @@
   private:
     /**
      * Text X position function
-     * \param model the mobility model
-     * \param expectedXPos the expected X position
+     * @param model the mobility model
+     * @param expectedXPos the expected X position
      */
     void TestXPosition(Ptr<const WaypointMobilityModel> model, double expectedXPos);
     /**
      * Test number of way points
-     * \param model the mobility model
-     * \param num the number of way points
+     * @param model the mobility model
+     * @param num the number of way points
      */
     void TestNumWaypoints(Ptr<const WaypointMobilityModel> model, uint32_t num);
     void DoRun() override;
@@ -239,13 +239,13 @@
     m_mob1->SetAttributeFailSafe("InitialPositionIsWaypoint", BooleanValue(false));
     m_mob1->SetPosition(Vector(10.0, 10.0, 10.0));
     // At time 1s, there should be no waypoints
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &WaypointInitialPositionIsWaypoint::TestNumWaypoints,
                         this,
                         m_mob1,
                         0);
     // At time 15s, the model should still be at x position 10.0
-    Simulator::Schedule(Seconds(15.0),
+    Simulator::Schedule(Seconds(15),
                         &WaypointInitialPositionIsWaypoint::TestXPosition,
                         this,
                         m_mob1,
@@ -255,19 +255,19 @@
     // after adding a waypoint.
     m_mob2 = CreateObject<WaypointMobilityModel>();
     m_mob2->SetAttributeFailSafe("InitialPositionIsWaypoint", BooleanValue(false));
-    Waypoint wpt21(Seconds(5.0), Vector(15.0, 15.0, 15.0));
+    Waypoint wpt21(Seconds(5), Vector(15.0, 15.0, 15.0));
     m_mob2->AddWaypoint(wpt21);
-    Waypoint wpt22(Seconds(10.0), Vector(20.0, 20.0, 20.0));
+    Waypoint wpt22(Seconds(10), Vector(20.0, 20.0, 20.0));
     m_mob2->AddWaypoint(wpt22);
     m_mob2->SetPosition(Vector(10.0, 10.0, 10.0));
     // At time 3, no waypoints have been hit, so position should be 10 and
     // numWaypoints should be 2, or 1 excluding the next one
-    Simulator::Schedule(Seconds(3.0),
+    Simulator::Schedule(Seconds(3),
                         &WaypointInitialPositionIsWaypoint::TestXPosition,
                         this,
                         m_mob2,
                         10.0);
-    Simulator::Schedule(Seconds(3.0),
+    Simulator::Schedule(Seconds(3),
                         &WaypointInitialPositionIsWaypoint::TestNumWaypoints,
                         this,
                         m_mob2,
@@ -275,12 +275,12 @@
     // At time 8, check that X position is 18 (i.e. position is interpolating
     // between 15 and 20) and there is one waypoint left, but we exclude
     // the next one so we test for zero waypoints
-    Simulator::Schedule(Seconds(8.0),
+    Simulator::Schedule(Seconds(8),
                         &WaypointInitialPositionIsWaypoint::TestXPosition,
                         this,
                         m_mob2,
                         18.0);
-    Simulator::Schedule(Seconds(8.0),
+    Simulator::Schedule(Seconds(8),
                         &WaypointInitialPositionIsWaypoint::TestNumWaypoints,
                         this,
                         m_mob2,
@@ -292,13 +292,13 @@
     m_mob3->SetAttributeFailSafe("InitialPositionIsWaypoint", BooleanValue(true));
     m_mob3->SetPosition(Vector(10.0, 10.0, 10.0));
     // At time 1s, there should be zero waypoints not counting the next one
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &WaypointInitialPositionIsWaypoint::TestNumWaypoints,
                         this,
                         m_mob3,
                         0);
     // At time 15s, the model should still be at x position 10.0
-    Simulator::Schedule(Seconds(15.0),
+    Simulator::Schedule(Seconds(15),
                         &WaypointInitialPositionIsWaypoint::TestXPosition,
                         this,
                         m_mob3,
@@ -308,33 +308,33 @@
     // after adding a waypoint.
     m_mob4 = CreateObject<WaypointMobilityModel>();
     m_mob4->SetAttributeFailSafe("InitialPositionIsWaypoint", BooleanValue(true));
-    Waypoint wpt41(Seconds(5.0), Vector(15.0, 15.0, 15.0));
+    Waypoint wpt41(Seconds(5), Vector(15.0, 15.0, 15.0));
     m_mob4->AddWaypoint(wpt41);
-    Waypoint wpt42(Seconds(10.0), Vector(20.0, 20.0, 20.0));
+    Waypoint wpt42(Seconds(10), Vector(20.0, 20.0, 20.0));
     m_mob4->AddWaypoint(wpt42);
     // Here, SetPosition() is called after waypoints have been added.  In
     // this case, the initial position is set until the time of the first
     // waypoint, at which time it jumps to the waypoint and begins moving
     m_mob4->SetPosition(Vector(10.0, 10.0, 10.0));
     // At time 3, position should be fixed still at 10
-    Simulator::Schedule(Seconds(3.0),
+    Simulator::Schedule(Seconds(3),
                         &WaypointInitialPositionIsWaypoint::TestXPosition,
                         this,
                         m_mob4,
                         10.0);
-    Simulator::Schedule(Seconds(3.0),
+    Simulator::Schedule(Seconds(3),
                         &WaypointInitialPositionIsWaypoint::TestNumWaypoints,
                         this,
                         m_mob4,
                         1);
     // At time 6, we should be moving between 15 and 20
-    Simulator::Schedule(Seconds(6.0),
+    Simulator::Schedule(Seconds(6),
                         &WaypointInitialPositionIsWaypoint::TestXPosition,
                         this,
                         m_mob4,
                         16.0);
     // At time 15, we should be fixed at 20
-    Simulator::Schedule(Seconds(15.0),
+    Simulator::Schedule(Seconds(15),
                         &WaypointInitialPositionIsWaypoint::TestXPosition,
                         this,
                         m_mob4,
@@ -347,16 +347,16 @@
     // Note:  The below statement would result in a crash, because it would
     // violate the rule that waypoints must increase in start time
     // m_mob5->SetPosition (Vector (10.0, 10.0, 10.0));
-    Waypoint wpt51(Seconds(0.0), Vector(200.0, 200.0, 200.0));
+    Waypoint wpt51(Seconds(0), Vector(200.0, 200.0, 200.0));
     m_mob5->AddWaypoint(wpt51);
-    Waypoint wpt52(Seconds(5.0), Vector(15.0, 15.0, 15.0));
+    Waypoint wpt52(Seconds(5), Vector(15.0, 15.0, 15.0));
     m_mob5->AddWaypoint(wpt52);
-    Waypoint wpt53(Seconds(10.0), Vector(20.0, 20.0, 20.0));
+    Waypoint wpt53(Seconds(10), Vector(20.0, 20.0, 20.0));
     m_mob5->AddWaypoint(wpt53);
     // Here, since waypoints already exist, the below SetPosition will cancel
     // out wpt51 above, and model will stay at initial position until time 5
     m_mob5->SetPosition(Vector(10.0, 10.0, 10.0));
-    Simulator::Schedule(Seconds(3.0),
+    Simulator::Schedule(Seconds(3),
                         &WaypointInitialPositionIsWaypoint::TestXPosition,
                         this,
                         m_mob5,
@@ -367,9 +367,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Waypoint Mobility Model Via Helper Test
+ * @brief Waypoint Mobility Model Via Helper Test
  */
 class WaypointMobilityModelViaHelper : public TestCase
 {
@@ -380,8 +380,8 @@
   private:
     /**
      * Text X position function
-     * \param mob the mobility model
-     * \param expectedXPos the expected X position
+     * @param mob the mobility model
+     * @param expectedXPos the expected X position
      */
     void TestXPosition(Ptr<const WaypointMobilityModel> mob, double expectedXPos);
     void DoRun() override;
@@ -425,8 +425,8 @@
     // Get back a pointer to this
     Ptr<WaypointMobilityModel> mob = c.Get(0)->GetObject<WaypointMobilityModel>();
     // Waypoint added at time 0 will override initial position
-    Waypoint wpt(Seconds(5.0), Vector(20.0, 20.0, 20.0));
-    Waypoint wpt2(Seconds(10.0), Vector(10.0, 10.0, 10.0));
+    Waypoint wpt(Seconds(5), Vector(20.0, 20.0, 20.0));
+    Waypoint wpt2(Seconds(10), Vector(10.0, 10.0, 10.0));
     mob->AddWaypoint(wpt);
     mob->AddWaypoint(wpt2);
     // At time 3 (before first waypoint, position is 20
@@ -452,7 +452,7 @@
                                BooleanValue(true));
     mobility2.Install(c2);
     Ptr<WaypointMobilityModel> mob2 = c2.Get(0)->GetObject<WaypointMobilityModel>();
-    Waypoint wpt3(Seconds(5.0), Vector(20.0, 20.0, 20.0));
+    Waypoint wpt3(Seconds(5), Vector(20.0, 20.0, 20.0));
     mob2->AddWaypoint(wpt3);
     // Move to position 12 at 3 seconds
     Simulator::Schedule(Seconds(3), &WaypointMobilityModelViaHelper::TestXPosition, this, mob2, 12);
@@ -462,9 +462,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Mobility Test Suite
+ * @brief Mobility Test Suite
  */
 class MobilityTestSuite : public TestSuite
 {
@@ -482,7 +482,7 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  * Static variable for test initialization
  */
 static MobilityTestSuite mobilityTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/mobility-trace-test-suite.cc ns-3.44/src/mobility/test/mobility-trace-test-suite.cc
--- ns-3.43/src/mobility/test/mobility-trace-test-suite.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/mobility-trace-test-suite.cc	2025-03-09 16:55:49.659372000 -0700
@@ -23,9 +23,9 @@
 using namespace ns3;
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Mobility Trace Test Case
+ * @brief Mobility Trace Test Case
  */
 
 class MobilityTraceTestCase : public TestCase
@@ -89,7 +89,7 @@
 
     AsciiTraceHelper ascii;
     MobilityHelper::EnableAsciiAll(ascii.CreateFileStream(testMobilityFilePath));
-    Simulator::Stop(Seconds(5.0));
+    Simulator::Stop(Seconds(5));
     Simulator::Run();
     Simulator::Destroy();
 
@@ -101,9 +101,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Mobility Trace Test Suite
+ * @brief Mobility Trace Test Suite
  */
 
 class MobilityTraceTestSuite : public TestSuite
@@ -119,7 +119,7 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  * Static variable for test initialization
  */
 static MobilityTraceTestSuite mobilityTraceTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/ns2-mobility-helper-test-suite.cc ns-3.44/src/mobility/test/ns2-mobility-helper-test-suite.cc
--- ns-3.43/src/mobility/test/ns2-mobility-helper-test-suite.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/ns2-mobility-helper-test-suite.cc	2025-03-09 16:55:49.659372000 -0700
@@ -64,9 +64,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Every test case is supposed to:
+ * @brief Every test case is supposed to:
  *  1. Generate short mobility trace file
  *  2. Read it back using Ns2MobilityHelper
  *  3. Check initial node positions and speeds.
@@ -87,10 +87,10 @@
         /**
          * Constructor
          *
-         * \param id reference ID
-         * \param t time
-         * \param p position
-         * \param v velocity
+         * @param id reference ID
+         * @param t time
+         * @param p position
+         * @param v velocity
          */
         ReferencePoint(const std::string& id, Time t, const Vector& p, const Vector& v)
             : node(id),
@@ -102,8 +102,8 @@
 
         /**
          * Less-than operator - used to sort by timestamp
-         * \param o object to compare to
-         * \returns true if the timestamp of the 1st operand is less than the other one's
+         * @param o object to compare to
+         * @returns true if the timestamp of the 1st operand is less than the other one's
          */
         bool operator<(const ReferencePoint& o) const
         {
@@ -114,9 +114,9 @@
     /**
      * Create new test case. To make it useful SetTrace () and AddReferencePoint () must be called
      *
-     * \param name        Short description
-     * \param timeLimit   Test time limit
-     * \param nodes       Number of nodes used in the test trace, 1 by default
+     * @param name        Short description
+     * @param timeLimit   Test time limit
+     * @param nodes       Number of nodes used in the test trace, 1 by default
      */
     Ns2MobilityHelperTest(const std::string& name, Time timeLimit, uint32_t nodes = 1)
         : TestCase(name),
@@ -133,7 +133,7 @@
 
     /**
      * Set NS-2 trace to read as single large string (don't forget to add \\n and quote \"'s)
-     * \param trace the mobility trace
+     * @param trace the mobility trace
      */
     void SetTrace(const std::string& trace)
     {
@@ -142,7 +142,7 @@
 
     /**
      * Add next reference point
-     * \param r reference point to add
+     * @param r reference point to add
      */
     void AddReferencePoint(const ReferencePoint& r)
     {
@@ -151,10 +151,10 @@
 
     /**
      * Add next reference point
-     * \param id reference point id
-     * \param sec reference point ime (in seconds)
-     * \param p reference point position
-     * \param v reference point velocity
+     * @param id reference point id
+     * @param sec reference point ime (in seconds)
+     * @param p reference point position
+     * @param v reference point velocity
      */
     void AddReferencePoint(const char* id, double sec, const Vector& p, const Vector& v)
     {
@@ -178,7 +178,7 @@
   private:
     /**
      * Dump NS-2 trace to tmp file
-     * \return true on error.
+     * @return true on error.
      */
     bool WriteTrace()
     {
@@ -205,13 +205,12 @@
 
     /**
      * Check that all initial positions are correct
-     * \return true on error.
+     * @return true on error.
      */
     bool CheckInitialPositions()
     {
         std::stable_sort(m_reference.begin(), m_reference.end());
-        while (m_nextRefPoint < m_reference.size() &&
-               m_reference[m_nextRefPoint].time == Seconds(0))
+        while (m_nextRefPoint < m_reference.size() && m_reference[m_nextRefPoint].time.IsZero())
         {
             const ReferencePoint& rp = m_reference[m_nextRefPoint];
             Ptr<Node> node = Names::Find<Node>(rp.node);
@@ -238,8 +237,8 @@
 
     /**
      * Listen for course change events
-     * \param context event context
-     * \param mobility a pointer to the mobility model
+     * @param context event context
+     * @param mobility a pointer to the mobility model
      */
     void CourseChange(std::string context, Ptr<const MobilityModel> mobility)
     {
@@ -309,9 +308,9 @@
 };
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief The test suite
+ * @brief The test suite
  */
 class Ns2MobilityHelperTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/rand-cart-around-geo-test.cc ns-3.44/src/mobility/test/rand-cart-around-geo-test.cc
--- ns-3.43/src/mobility/test/rand-cart-around-geo-test.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/rand-cart-around-geo-test.cc	2025-03-09 16:55:49.659372000 -0700
@@ -6,9 +6,9 @@
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
 
-#include <ns3/geographic-positions.h>
-#include <ns3/log.h>
-#include <ns3/test.h>
+#include "ns3/geographic-positions.h"
+#include "ns3/log.h"
+#include "ns3/test.h"
 
 #include <cmath>
 
@@ -45,9 +45,9 @@
 static const double EARTH_RADIUS = 6371e3;
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Rand Cart Around Geo Test Case
+ * @brief Rand Cart Around Geo Test Case
  */
 class RandCartAroundGeoTestCase : public TestCase
 {
@@ -55,12 +55,12 @@
     /**
      * Constructor
      *
-     * \param originLatitude origin latitude
-     * \param originLongitude origin longitude
-     * \param maxAltitude maximum altitude
-     * \param numPoints number of points
-     * \param maxDistFromOrigin maximum distance from origin
-     * \param uniRand random variable
+     * @param originLatitude origin latitude
+     * @param originLongitude origin longitude
+     * @param maxAltitude maximum altitude
+     * @param numPoints number of points
+     * @param maxDistFromOrigin maximum distance from origin
+     * @param uniRand random variable
      */
     RandCartAroundGeoTestCase(double originLatitude,
                               double originLongitude,
@@ -74,10 +74,10 @@
     void DoRun() override;
     /**
      * name function
-     * \param originLatitude the origin latitude
-     * \param originLongitude the origin longitude
-     * \param maxDistFromOrigin the maximum distance from the origin
-     * \returns the name string
+     * @param originLatitude the origin latitude
+     * @param originLongitude the origin longitude
+     * @param maxDistFromOrigin the maximum distance from the origin
+     * @returns the name string
      */
     static std::string Name(double originLatitude,
                             double originLongitude,
@@ -161,9 +161,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Rand Cart Around Geo Test Suite
+ * @brief Rand Cart Around Geo Test Suite
  */
 class RandCartAroundGeoTestSuite : public TestSuite
 {
@@ -197,7 +197,7 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  * Static variable for test initialization
  */
 static RandCartAroundGeoTestSuite g_RandCartAroundGeoTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/rectangle-closest-border-test.cc ns-3.44/src/mobility/test/rectangle-closest-border-test.cc
--- ns-3.43/src/mobility/test/rectangle-closest-border-test.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/rectangle-closest-border-test.cc	2025-03-09 16:55:49.659372000 -0700
@@ -4,16 +4,16 @@
  * Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
  */
 
-#include <ns3/rectangle.h>
-#include <ns3/simulator.h>
-#include <ns3/test.h>
+#include "ns3/rectangle.h"
+#include "ns3/simulator.h"
+#include "ns3/test.h"
 
 using namespace ns3;
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Rectangle detection of closest border to a point, inside or outside.
+ * @brief Rectangle detection of closest border to a point, inside or outside.
  */
 class RectangleClosestBorderTestSuite : public TestSuite
 {
@@ -25,29 +25,29 @@
 };
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief TestCase to check the rectangle line intersection
+ * @brief TestCase to check the rectangle line intersection
  */
 class RectangleClosestBorderTestCase : public TestCase
 {
   public:
     /**
-     * \brief Create RectangleClosestBorderTestCase
-     * \param x Index of the first position to generate
-     * \param y Index of the second position to generate
-     * \param rectangle The 2D rectangle
-     * \param side The expected result of the test
+     * @brief Create RectangleClosestBorderTestCase
+     * @param x Index of the first position to generate
+     * @param y Index of the second position to generate
+     * @param rectangle The 2D rectangle
+     * @param side The expected result of the test
      */
     RectangleClosestBorderTestCase(double x, double y, Rectangle rectangle, Rectangle::Side side);
     /**
-     * \brief Builds the test name string based on provided parameter values
-     * \param x Index of the first position to generate
-     * \param y Index of the second position to generate
-     * \param rectangle The 2D rectangle
-     * \param side The expected result of the test
+     * @brief Builds the test name string based on provided parameter values
+     * @param x Index of the first position to generate
+     * @param y Index of the second position to generate
+     * @param rectangle The 2D rectangle
+     * @param side The expected result of the test
      *
-     * \return The name string
+     * @return The name string
      */
     std::string BuildNameString(double x, double y, Rectangle rectangle, Rectangle::Side side);
     /**
@@ -57,7 +57,7 @@
 
   private:
     /**
-     * \brief Setup the simulation according to the configuration set by the
+     * @brief Setup the simulation according to the configuration set by the
      *        class constructor, run it, and verify the result.
      */
     void DoRun() override;
@@ -150,7 +150,7 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  * Static variable for test initialization
  */
 static RectangleClosestBorderTestSuite rectangleClosestBorderTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/steady-state-random-waypoint-mobility-model-test.cc ns-3.44/src/mobility/test/steady-state-random-waypoint-mobility-model-test.cc
--- ns-3.43/src/mobility/test/steady-state-random-waypoint-mobility-model-test.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/steady-state-random-waypoint-mobility-model-test.cc	2025-03-09 16:55:49.659372000 -0700
@@ -18,9 +18,9 @@
 using namespace ns3;
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Steady State Random Waypoint Test
+ * @brief Steady State Random Waypoint Test
  */
 class SteadyStateRandomWaypointTest : public TestCase
 {
@@ -78,7 +78,7 @@
         model->AssignStreams(100 * (i + 1));
         // Add this mobility model to the stack.
         mobilityStack.push_back(model);
-        Simulator::Schedule(Seconds(0.0), &Object::Initialize, model);
+        Simulator::Schedule(Seconds(0), &Object::Initialize, model);
     }
 
     Simulator::Schedule(Seconds(0.001), &SteadyStateRandomWaypointTest::DistribCompare, this);
@@ -138,9 +138,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Steady State Random Waypoint Test Suite
+ * @brief Steady State Random Waypoint Test Suite
  */
 struct SteadyStateRandomWaypointTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/test/waypoint-mobility-model-test.cc ns-3.44/src/mobility/test/waypoint-mobility-model-test.cc
--- ns-3.43/src/mobility/test/waypoint-mobility-model-test.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mobility/test/waypoint-mobility-model-test.cc	2025-03-09 16:55:49.659372000 -0700
@@ -15,9 +15,9 @@
 using namespace ns3;
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Waypoint Mobility Model Notify Test
+ * @brief Waypoint Mobility Model Notify Test
  */
 class WaypointMobilityModelNotifyTest : public TestCase
 {
@@ -25,7 +25,7 @@
     /**
      * Constructor
      *
-     * \param lazy lazy?
+     * @param lazy lazy?
      */
     WaypointMobilityModelNotifyTest(bool lazy)
         : TestCase(lazy ? "Check Waypoint Mobility Model LAZY notification accuracy"
@@ -51,7 +51,7 @@
     void ForceUpdates();
     /**
      * Course change callback
-     * \param model the mobility model
+     * @param model the mobility model
      */
     void CourseChangeCallback(Ptr<const MobilityModel> model);
 };
@@ -81,15 +81,15 @@
 
         // Add this mobility model to the stack.
         mobilityStack.push_back(model);
-        Simulator::Schedule(Seconds(0.0), &Object::Initialize, model);
+        Simulator::Schedule(Seconds(0), &Object::Initialize, model);
     }
 
-    Waypoint wpt(Seconds(0.0), Vector(0.0, 0.0, 0.0));
+    Waypoint wpt(Seconds(0), Vector(0.0, 0.0, 0.0));
 
     // Create waypoints
     for (uint32_t iw = 0; iw < waypointCount; ++iw)
     {
-        wpt.time += Seconds(1.0);
+        wpt.time += Seconds(1);
         waypoints.push_back(wpt);
     }
 
@@ -157,9 +157,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Waypoint Mobility Model Add Waypoint Test
+ * @brief Waypoint Mobility Model Add Waypoint Test
  */
 class WaypointMobilityModelAddWaypointTest : public TestCase
 {
@@ -183,7 +183,7 @@
     void DoTeardown() override;
     /**
      * Course change callback
-     * \param model the mobility model
+     * @param model the mobility model
      */
     void CourseChangeCallback(Ptr<const MobilityModel> model);
 };
@@ -211,7 +211,7 @@
         MakeCallback(&WaypointMobilityModelAddWaypointTest::CourseChangeCallback, this));
 
     // Add this mobility model to the stack.
-    Simulator::Schedule(Seconds(0.0), &Object::Initialize, m_mobilityModel);
+    Simulator::Schedule(Seconds(0), &Object::Initialize, m_mobilityModel);
 
     Ptr<WaypointMobilityModel> mob = DynamicCast<WaypointMobilityModel>(m_mobilityModel);
     Waypoint m_nextWaypoint(Seconds(m_waypointCounter), Vector(0.0, 0.0, 0.0));
@@ -241,9 +241,9 @@
 }
 
 /**
- * \ingroup mobility-test
+ * @ingroup mobility-test
  *
- * \brief Waypoint Mobility Model Test Suite
+ * @brief Waypoint Mobility Model Test Suite
  */
 static struct WaypointMobilityModelTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/CMakeLists.txt ns-3.44/src/mpi/CMakeLists.txt
--- ns-3.43/src/mpi/CMakeLists.txt	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/CMakeLists.txt	2025-03-09 16:55:49.659372000 -0700
@@ -22,6 +22,6 @@
     model/mpi-receiver.h
     model/parallel-communication-interface.h
   LIBRARIES_TO_LINK ${libnetwork}
-                    ${MPI_CXX_LIBRARIES}
+                    MPI::MPI_CXX
   TEST_SOURCES ${example_as_test_suite}
 )
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/examples/CMakeLists.txt ns-3.44/src/mpi/examples/CMakeLists.txt
--- ns-3.43/src/mpi/examples/CMakeLists.txt	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/examples/CMakeLists.txt	2025-03-09 16:55:49.659372000 -0700
@@ -1,5 +1,3 @@
-link_libraries(${MPI_CXX_LIBRARIES})
-
 set(base_examples
     simple-distributed
     simple-distributed-mpi-comm
